%global short_name commons-ognl

Name:          apache-%{short_name}
Version:       3.0.2
Release:       %mkrel 11.20120313svn1102437
Group:         Development/Java
Summary:       Object Graph Navigation Library 
License:       ASL 2.0
URL:           http://commons.apache.org/ognl/
# svn export -r1102435 http://svn.apache.org/repos/asf/commons/proper/ognl/trunk/ apache-commons-ognl-3.0.2
# tar caf apache-commons-ognl-3.0.2.tar.xz apache-commons-ognl-3.0.2
Source0:       %{name}-%{version}.tar.xz
BuildArch:     noarch

BuildRequires: jna
BuildRequires: maven-local
BuildRequires: mvn(javassist:javassist)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.commons:commons-parent:pom:)
BuildRequires: mvn(org.easymock:easymock)

%description
OGNL is an expression language for getting and setting properties of
Java objects, plus other extras such as list projection and selection
and lambda expressions.

%package javadoc
Summary:      API documentation for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

%pom_remove_plugin com.mycila.maven-license-plugin:maven-license-plugin
%pom_remove_plugin org.apache.maven.plugins:maven-clean-plugin

rm -r src/test/java/org/apache/commons/ognl/test/ArithmeticAndLogicalOperatorsTest.java \
  src/test/java/org/apache/commons/ognl/test/ArrayElementsTest.java \
  src/test/java/org/apache/commons/ognl/test/ASTPropertyTest.java \
  src/test/java/org/apache/commons/ognl/test/CollectionDirectPropertyTest.java \
  src/test/java/org/apache/commons/ognl/test/ConstantTest.java \
  src/test/java/org/apache/commons/ognl/test/MethodTest.java \
  src/test/java/org/apache/commons/ognl/test/PropertyArithmeticAndLogicalOperatorsTest.java \
  src/test/java/org/apache/commons/ognl/test/PropertyTest.java \
  src/test/java/org/apache/commons/ognl/test/enhance/TestExpressionCompiler.java

%mvn_file :%{short_name} %{short_name} %{name}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt NOTICE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt NOTICE.txt



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 3.0.2-11.20120313svn1102437.mga6
+ Revision: 981951
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 3.0.2-11.20120313svn1102436.mga6
+ Revision: 975435
- First rebuild of the java stack
- sync package apache-commons-ognl with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Fri Dec 26 2014 daviddavid <daviddavid> 3.0.2-2.20120313svn1102435.7.mga5
+ Revision: 806328
- fix test failures (Sync with fc21)

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 3.0.2-2.20120313svn1102435.4.mga4
+ Revision: 545648
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 dmorgan <dmorgan> 3.0.2-2.20120313svn1102435.3.mga4
+ Revision: 501535
- Build with xmvn

* Fri Jan 11 2013 umeabot <umeabot> 3.0.2-2.20120313svn1102435.2.mga3
+ Revision: 345816
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 dmorgan <dmorgan> 3.0.2-2.20120313svn1102435.1.mga3
+ Revision: 292773
- imported package apache-commons-ognl


* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.2-2.20120313svn1102435
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Mar 13 2012 Andy Grimm <agrimm@gmail.com> - 3.0.2-1.20120313svn1102435
- Rename and reversion package
- add jna as a BuildRequires

* Fri Feb 17 2012 Andy Grimm <agrimm@gmail.com> - 3.0.2-1
- Initial package
